﻿/* Override Essex font locations */
@font-face {
    font-family: Lexend;
    src: url(./assets/fonts/ecc-shared/Lexend-Regular.woff2) format("woff2"),
         url(./assets/fonts/ecc-shared/Lexend-Regular.woff) format("woff");
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: Lexend;
    src: url(./assets/fonts/ecc-shared/Lexend-SemiBold.woff2) format("woff2"),
         url(./assets/fonts/ecc-shared/Lexend-SemiBold.woff) format("woff");
    font-weight: 600;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: Lexend;
    src: url(./assets/fonts/ecc-shared/Lexend-SemiBold.woff2) format("woff2"),
         url(./assets/fonts/ecc-shared/Lexend-SemiBold.woff) format("woff");
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

/*body {
    -webkit-text-size-adjust: 100%;
    text-size-adjust: 100%;
}*/

/*h2.modal-title {
    margin-top: 0 !important;
}

h2 {
    margin-bottom: 1rem;
    margin-top: 1rem !important;
}*/

/*th {
    text-align: -webkit-match-parent;
    text-align: inherit;
}
*/
/*.skip-to-content-link {
    background: var(--bs-dark);
    border: 1px solid #ccc;
    clip: rect(0 0 0 0);
    clip: rect(0, 0, 0, 0);
    color: var(--bs-white);
    display: block;
    height: 1px;
    left: 10px;
    line-height: 2;
    overflow: hidden;
    padding: 5px;
    position: absolute;
    text-decoration: none;
    top: 10px;
    width: 1px;
    z-index: 2000;
}

    .skip-to-content-link:focus,
    .skip-to-content-link:active {
        clip: auto;
        height: auto;
        margin: auto;
        width: auto;
    }*/

.btn {
    border-radius: 0;
}

.btn-outline-dark:hover:not(:focus) {
    background-color: var(--bs-dark);
    color: var(--bs-light) !important;
}

.btn-outline-dark {    
    color: var(--bs-dark);
}

[data-jc-command] {
    cursor: pointer
}

/*.jc-navbar-brand-image {
    height: 48px
}*/

    li.nav-item::before {
    }

    .nav-link {
        text-decoration: underline;
    }

    main > .container {
        padding: 82px 15px 0;
    }
    /*footer a {
    color: var(--bs-gray-900);
    text-decoration: none;
}

    footer a:focus {
        color: var(--bs-primary);
    }

    footer a:hover {
        color: #0a58ca;
    }

    footer a:focus, footer a:hover {
        text-decoration: underline;
    }*/

    .form-group.required .col-form-label:after {
        content: " *";
        color: var(--bs-danger);
        font-weight: bold;
    }

    .jc-required-indicator {
        color: var(--bs-danger);
        font-weight: bold;
    }

    .jc-form-date,
    .jc-form-time {
        width: max-content !important;
    }

    .jc-form-age,
    .jc-form-percentage {
        width: 6rem;
    }

    @media (min-width: 768px) {
        .jc-select-form-label {
            width: 33.33333333%;
        }
    }

    @media (min-width: 992px) {
        .jc-select-form-label {
            width: 25%;
        }
    }

    .jc-form-numeric,
    .jc-form-currency {
    }

    .jc-checkbox-form-control {
        border-width: 0;
        padding-left: 0;
        padding-right: 0;
    }

    .jc-representativeNameLabel,
    .jc-uploadDocumentLabel {
        color: #212529;
    }

    #ContentPlaceHolder_Uploader1__Insert,
    #ContentPlaceHolder_NewRepresentativeButton {
        cursor: pointer;
        color: var(--bs-white);
        background-color: var(--bs-primary);
        border-color: var(--bs-primary);
        display: inline-block;
        font-weight: 400;
        height: fit-content;
        line-height: 1.5;
        text-align: center;
        text-decoration: none;
        vertical-align: middle;
        -webkit-user-select: none;
        -moz-user-select: none;
        user-select: none;
        border-width: 1px;
        padding: .375rem .75rem;
        font-size: 1rem;
        border-radius: .25rem;
        transition-property: color, background-color, border-bottom-color, box-shadow;
        transition-duration: 0.15s, 0.15s, 0.15s, 0.15s;
        transition-timing-function: ease-in-out, ease-in-out, ease-in-out, ease-in-out;
        transition-delay: 0, 0, 0, 0;
    }

    #ContentPlaceHolder_Uploader1__Insert {
        margin-right: 0.5rem;
    }

    #ContentPlaceHolder_Uploader1__Cancel,
    .AjaxUploaderCancelAllButton {
        display: inline-block;
        font-weight: 400;
        line-height: 1.5;
        color: var(--bs-gray);
        text-align: center;
        text-decoration: none;
        vertical-align: middle;
        cursor: pointer;
        -webkit-user-select: none;
        -moz-user-select: none;
        user-select: none;
        background-color: transparent;
        border: 1px solid var(--bs-gray);
        padding: .375rem .75rem;
        font-size: 1rem;
        border-radius: .25rem;
        transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;
        margin: 0 0 6px 0 !important;
    }

    @media (prefers-reduced-motion:reduce) {
        #ContentPlaceHolder_Uploader1__Insert,
        #ContentPlaceHolder_NewRepresentativeButton,
        input#ContentPlaceHolder_Uploader1__Cancel,
        .AjaxUploaderCancelAllButton {
            transition: none
        }
    }
    /*#ContentPlaceHolder_Uploader1__Insert:hover,*/
    #ContentPlaceHolder_NewRepresentativeButton:hover {
        color: var(--bs-white);
        background-color: #0a58ca;
        border-color: #0a58ca
    }
    /*#ContentPlaceHolder_Uploader1__Insert:focus,*/
    #ContentPlaceHolder_NewRepresentativeButton:focus {
        outline: 0;
        color: var(--bs-white);
        background-color: #0a58ca;
        border-color: #0a58ca;
        box-shadow: 0 0 0 .25rem rgba(49, 132, 253, .5)
    }
    /*#ContentPlaceHolder_Uploader1__Insert:disabled,*/
    #ContentPlaceHolder_NewRepresentativeButton:disabled {
        pointer-events: none;
        opacity: .65;
        color: var(--bs-white);
        background-color: var(--bs-primary);
        border-color: var(--bs-primary)
    }
    /*#ContentPlaceHolder_Uploader1__Cancel:hover,
.AjaxUploaderCancelAllButton:hover {
    color: var(--bs-white);
    background-color: var(--bs-gray);
    border-color: var(--bs-gray)
}

#ContentPlaceHolder_Uploader1__Cancel:focus,
.AjaxUploaderCancelAllButton:focus {
    outline: 0;
    box-shadow: 0 0 0 .25rem rgba(108, 117, 125, .5)
}

#ContentPlaceHolder_Uploader1__Cancel:disabled,
.AjaxUploaderCancelAllButton:disabled {
    pointer-events: none;
    opacity: .65;
    color: var(--bs-gray);
    background-color: transparent
}

#ContentPlaceHolder_Uploader1__Progress {
    padding: 0 0 0 6px;
}

.AjaxUploaderProgressTable {
    width: 100%!important;
}

.AjaxUploaderProgressTable div {
    margin: 0 0 6px 0!important;
    border-width: 0!important;
}

    .AjaxUploaderProgressTable div div:first-child {
        background: var(--bs-primary) !important;
        margin: 0 0 6px 0 !important;
        background-image: none !important;
    }

.AjaxUploaderProgressBarText {
    color: var(--bs-white) !important;
}

.AjaxUploaderQueueTable {
    margin: 6px 0!important;
}

.AjaxUploaderProgressInfoText,
.AjaxUploaderQueueTableRow {
    padding: 0 0 6px 0 !important;
    font-family: system-ui,-apple-system,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans","Liberation Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji" !important;
    font-size: 1rem !important;
    font-weight: 400 !important;
    line-height: 1.5 !important;
    color: #212529 !important;
    background-color: var(--bs-white);
    -webkit-text-size-adjust: 100%;
    text-size-adjust: 100%;
    -webkit-tap-highlight-color: transparent;
    word-wrap: break-word !important
}*/

    .jc-gridView {
        border-width: 0;
        color: #6ab3e6;
        table-layout: fixed;
        width: 100%;
    }

    .jc-representativesGridView,
    .jc-uploadDocumentsGridView {
        color: var(--bs-white);
        width: auto;
    }

    .jc-gridViewHeader, .jc-gridViewCurrencyHeader, .jc-gridViewDateHeader, .jc-gridViewHyperLinkHeader {
        border: solid 1px var(--bs-white);
        padding: 3px;
        text-align: left;
        color: var(--bs-white);
    }

    .jc-gridViewItem, .jc-gridViewCheckBoxItem, .jc-gridViewCurrencyItem, .jc-gridViewDateItem, .jc-gridViewHyperLinkItem {
        border: solid 1px var(--bs-white);
        overflow: hidden;
        padding: 3px;
        vertical-align: top;
    }

    .jc-gridViewCurrencyItem, .jc-gridViewCurrencyHeader {
        text-align: right;
    }

    .jc-gridViewButtonHeader {
        border: solid 1px var(--bs-white);
        padding: 3px;
        text-align: left;
        width: 60px;
    }

    .jc-gridViewButtonItem {
        padding: 3px;
        vertical-align: top;
    }

    .jc-gridViewIconHeader {
        border: solid 1px var(--bs-white);
        padding: 3px;
        text-align: left;
        width: 25px;
    }

    .jc-gridViewIconItem {
        border: solid 1px var(--bs-white);
        overflow: hidden;
        padding: 3px;
        vertical-align: top;
        width: 25px;
    }

    .jc-gridViewDateItem, .jc-gridViewCheckBoxItem {
        text-align: center;
    }

    .jc-gridViewHyperLinkControl {
        color: #6ab3e6;
    }

        .jc-gridViewHyperLinkControl:link,
        .jc-gridViewHyperLinkControl:visited {
            color: #6ab3e6;
            text-decoration: underline;
        }

        .jc-gridViewHyperLinkControl:hover {
            color: #666666;
        }

    .jc-gridViewStatusBarCell {
        color: var(--bs-white);
        background-color: #6ab3e6;
        border: solid 1px var(--bs-white);
        padding: 3px;
    }

    .jc-gridViewOverDueRow,
    .jc-gridViewOverDueRow > td > a:link,
    .jc-gridViewOverDueRow > td > a:visited {
        background-color: var(--bs-gray-200);
        color: var(--bs-danger);
    }

        .jc-gridViewOverDueRow > td > a:hover {
            color: var(--bs-gray);
        }


    .jc-gridViewPagerRow {
        border: solid 1px var(--bs-white);
        padding: 0;
    }

        .jc-gridViewPagerRow td {
            border: 0;
            padding: 0;
            white-space: nowrap;
            /*color: White;*/
        }

            .jc-gridViewPagerRow td p {
                color: #212529;
                margin-left: 0;
            }

            .jc-gridViewPagerRow td table {
                color: var(--bs-white);
                background-color: #223a74;
                padding: 1px 3px 1px 3px;
                vertical-align: middle;
            }

                .jc-gridViewPagerRow td table td {
                    padding: 1px 3px 1px 3px;
                }

    .jc-gridViewEmptyDataRow {
        border-width: 0;
        color: #212529;
    }

    .jc-gridViewPagerDropDownList {
        width: auto;
    }

    .jc-gridViewPagerTextBox {
        border: solid 1px var(--bs-gray-500);
        margin-bottom: 0;
        margin-top: 0;
        padding: 1px;
        text-align: center;
    }

    .jc-gridViewPagerImage {
        object-fit: scale-down;
        padding: 0 6px;
        width: -moz-fit-content;
        width: fit-content;
    }

    .jc-submittedIdLabel {
        display: block;
        font-weight: bold;
        text-align: center;
    }

    .jc-gridViewPagerRowPanel {
        margin-right: auto
    }

    .jc-gridViewPagerLabel {
        color: var(--bs-body-color);
    }

    .jc-gridViewPagerButtonPanel {
        height: fit-content;
        vertical-align: middle;
    }

    .jc-gridViewPagerPagePanel {
        height: fit-content;
    }

    .icon-before::before,
    .icon-after::after {
        display: inline-block;
        font: var(--fa-font-solid);
        text-rendering: auto;
        -webkit-font-smoothing: antialiased;
    }

    .icon-before::before {
        margin-right: 0.5rem;
    }

    .icon-after::after {
        margin-left: 0.5rem;
    }

    .icon-next::after {
        content: "\f054";
    }

    .icon-previous::before {
        content: "\f053";
    }

    .icon-print::before {
        content: "\f02f";
    }
    /* Essex */
    label {
        font-weight: bold;
    }

    .form-control, .form-select, textarea {
        border-color: var(--input-border-color);
        border-radius: inherit;
        border-width: 2px !important;
        padding: .375rem .75rem !important;
    }

        .form-control.is-invalid:focus, .was-validated .form-control:invalid:focus {
            border-color: var(--color-danger) !important;
            box-shadow: inset 0 0 0 3px;
        }

        .form-control:focus {
            border-color: var(--color-black) !important;
            outline: 3px solid var(--color-focus) !important;
            outline-offset: 0 !important;
            box-shadow: inset 0 0 0 3px !important;
        }

.table-borderless tbody tr {
    border-bottom-width: inherit;
}

.jc-ui-igupload .ui-igstartupbrowsebutton .ui-button-text:hover {
    color:inherit;
}

.jc-ui-igupload input[type=file]:not(:focus) {
    background-color: transparent !important;
    border-color: transparent !important;
    color: transparent !important;
    /*display:none !important;
    z-index:1000000*/
}

.btn.btn-outline-dark:focus {
    text-decoration: none;
    color: var(--color-black);
    outline: 3px solid transparent;
    background-color: var(--color-focus);
    -webkit-box-decoration-break: clone;
    box-decoration-break: clone;
    box-shadow: 0 -2px var(--color-focus),0 4px var(--color-black);
}

/* Interaction states
----------------------------------*/
.ui-state-default,
.ui-widget-content .ui-state-default,
.ui-widget-header .ui-state-default {
    border: var(--border);
    border-color: var(--button-border-color);
    /*border: 1px solid #6c757d;*/
    background-color: var(--button-bg-color);
    /*background-color: #6c757d;*/
    color: var(--button-text-color);
    /*color: #fff;*/
}

    .ui-state-default a,
    .ui-state-default a:link,
    .ui-state-default a:visited {
        color: #fff;
    }

.ui-state-hover,
.ui-widget-content .ui-state-hover,
.ui-widget-header .ui-state-hover {
    text-decoration: underline;
    color: var(--button-text-color-hover);
    background-color: var(--button-bg-color-hover);
    /*border-color: #0253cb;
        background-color: #025bdf;
        color: #fff;*/
}

/*
 * jQuery UI Button Overrides
 */
/* Corner radius */
.ui-button.ui-corner-all,
.ui-button.ui-corner-top,
.ui-button.ui-corner-left,
.ui-button.ui-corner-tl {
    border-top-left-radius: 0;
}

.ui-button.ui-corner-all,
.ui-button.ui-corner-top,
.ui-button.ui-corner-right,
.ui-button.ui-corner-tr {
    border-top-right-radius: 0;
}

.ui-button.ui-corner-all,
.ui-button.ui-corner-bottom,
.ui-button.ui-corner-left,
.ui-button.ui-corner-bl {
    border-bottom-left-radius: 0;
}

.ui-button.ui-corner-all,
.ui-button.ui-corner-bottom,
.ui-button.ui-corner-right,
.ui-button.ui-corner-br {
    border-bottom-right-radius: 0;
}

/*.ui-state-focus.ui-button .ui-button-text {
    color: var(--button-text-color-hover);
    text-decoration: underline;
    text-decoration-thickness: max(3px,0.1875rem, 0.12em)
}

.ui-state-hover.ui-button .ui-button-text {
    color: var(--button-text-color-hover);
    text-decoration: underline;
    text-decoration-thickness: max(3px,0.1875rem, 0.12em)
}

.ui-state-focus.ui-button .ui-button-text {
    text-decoration: none;
    color: var(--color-black);
    outline: 3px solid transparent;
    background-color: var(--color-focus);
    -webkit-box-decoration-break: clone;
    box-decoration-break: clone;
    box-shadow: 0 -2px var(--color-focus), 0 4px var(--color-black);
}*/

button:hover {
    text-decoration-thickness: max(3px,0.1875rem, 0.12em);
}

button:focus {
    text-decoration: none;
    color: var(--color-black);
    outline: 3px solid transparent;
    background-color: var(--color-focus);
    -webkit-box-decoration-break: clone;
    box-decoration-break: clone;
    box-shadow: 0 -2px var(--color-focus), 0 4px var(--color-black);
}

.ui-igbutton {
    padding: var(--button-padding-vertical) var(--button-padding-horizontal) var(--button-padding-vertical) var(--button-padding-horizontal);
    cursor: pointer;
    color: var(--button-text-color);
    border: var(--border);
    border-color: var(--button-border-color);
    border-radius: var(--button-border-radius);
    background-color: var(--button-bg-color);
    font-family: var(--button-font-family);
    font-size: var(--font-size-medium);
}

    .ui-igbutton.ui-state-hover {
        background-color: var(--button-bg-color-hover);
    }

        .ui-igbutton.ui-state-hover .ui-button-text {
            text-decoration: underline;
            text-decoration-thickness: max(3px,0.1875rem, 0.12em);
            color: var(--button-text-color-hover);
        }

    .ui-igbutton.ui-state-focus {
        text-decoration: none;
        color: var(--color-black);
        outline: 3px solid transparent;
        background-color: var(--color-focus);
        -webkit-box-decoration-break: clone;
        box-decoration-break: clone;
        box-shadow: 0 -2px var(--color-focus), 0 4px var(--color-black);
    }

        .ui-igbutton.ui-state-focus .ui-button-text {
            text-decoration: none;
            color: var(--button-text-color-focus);
        }

.ui-igstartupbrowsebutton.ui-button.ui-state-default, 
.ui-igupload-browsebutton.ui-button.ui-state-default {
    border-color: var(--button-border-color);
    background-color: var(--button-bg-color);
}

.ui-igstartupbrowsebutton.ui-button.ui-state-hover,
.ui-igupload-browsebutton.ui-button.ui-state-hover {
    color: var(--button-text-color-hover);
    background-color: var(--button-bg-color-hover);
}

    .ui-igstartupbrowsebutton.ui-button.ui-state-hover .ui-button-text,
    .ui-igupload-browsebutton.ui-button.ui-state-hover .ui-button-text {
        color: var(--button-text-color-hover);
    }

.ui-igstartupbrowsebutton.ui-button.ui-state-focus,
.ui-igupload-browsebutton.ui-button.ui-state-focus {
    background-color: var(--color-focus);
    border-color: var(--button-border-color);
    box-shadow: 0 -2px var(--color-focus), 0 4px var(--color-black);
}

    .ui-igstartupbrowsebutton.ui-button.ui-state-focus .ui-button-text,
    .ui-igupload-browsebutton.ui-button.ui-state-focus .ui-button-text {
        color: var(--color-black);
    }